> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solo.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a consumer consent record's scope, expiry, or consented fields

> Update a consumer consent record's scope, expiry, or consented fields. Identity fields are immutable.



## OpenAPI

````yaml PUT /v1/consent/consumer/{consent_id}
openapi: 3.1.0
info:
  title: SOLO Network API
  version: v1
servers:
  - url: https://api.solo.one
    description: Production
  - url: https://api.sandbox.solo.one
    description: Sandbox
security: []
paths:
  /v1/consent/consumer/{consent_id}:
    put:
      tags:
        - Consumer
      summary: >-
        Update a consumer consent record's scope, expiry, or consented fields.
        Identity fields are immutable.
      description: >-
        Update a consumer consent record's scope, expiry, or consented fields.
        Identity fields are immutable.
      operationId: consent_consumer_update_v1_consent_consumer__consent_id__put
      parameters:
        - name: consent_id
          in: path
          required: true
          schema:
            type: string
            title: Consent Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsentConsumerUpdateInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsentConsumerCreateOutput'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ConsentConsumerUpdateInput:
      properties:
        network_id:
          type: string
          format: uuid
          title: Network Id
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        consented_fields:
          anyOf:
            - type: string
            - type: 'null'
          title: Consented Fields
      type: object
      required:
        - network_id
      title: ConsentConsumerUpdateInput
      description: |-
        Update a consumer consent record (scope, expiry, or consented fields).

        Identity fields are immutable: a consent record is an audit artifact of
        who consented and when. To consent with different identity data, create
        a new consent record instead.
    ConsentConsumerCreateOutput:
      properties:
        consent_id:
          type: string
          title: Consent Id
        field_access_grants:
          items:
            $ref: '#/components/schemas/FieldAccessGrantOutput'
          type: array
          title: Field Access Grants
        created_at:
          type: string
          title: Created At
        events:
          type: string
          title: Events
        scope:
          type: string
          title: Scope
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        consented_fields:
          anyOf:
            - type: string
            - type: 'null'
          title: Consented Fields
      type: object
      required:
        - consent_id
        - field_access_grants
        - created_at
        - events
        - scope
      title: ConsentConsumerCreateOutput
      description: >-
        Create a consumer consent record (direct, server-to-server). Returns a
        consent_id used for all subsequent queries.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FieldAccessGrantOutput:
      properties:
        furnishing_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Furnishing Entity Id
        field_definitions:
          items:
            type: string
          type: array
          title: Field Definitions
          default: []
        effective_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Effective From
        effective_to:
          anyOf:
            - type: string
            - type: 'null'
          title: Effective To
      type: object
      title: FieldAccessGrantOutput
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````